精华内容
下载资源
问答
  • 网上搜索到了相对应的whl文件之后,利用pip install 安装whl文件,结果报错。例子如图。 这种情况是第一种情况,是因为安装的不是对应python版本的库。我机器使用的是python3.6版本,我所下载的文件为python2.7版本...

    第一种情况:

    最近在参加比赛的时候,碰到了以pip install xxx这种方式安装模块,却出现错误的问题。官方给的方法是通过whl文件重新安装。网上搜索到了相对应的whl文件之后,利用pip install 安装whl文件,结果报错。例子如图。
    在这里插入图片描述
    这种情况是第一种情况,是因为安装的不是对应python版本的库。我机器使用的是python3.6版本,我所下载的文件为python2.7版本的库,也就是cp27。
    假如我要成功安装,则需要下载cp36版本。

    第二种情况:

    另一种情况我没有遇到过,搜索得到的。
    方法:
    1、AMD64
    在shell中输入
    import pip._internal
    print(pip._internal.pep425tags.get_supported())
    可以获取到pip支持的文件名还有版本。
    在这里插入图片描述
    通过这里可以发现,如果你的文件名格式不符合以上文件名命名规则,则无法安装。可以手动修改whl文件名称成功安装。
    如whl文件名原名称为numpy-1.16.3-cp35-cp35m-win_amd64.whl
    修改为numpy-1.16.3-cp36-none-win_amd64.whl即可成功安装。
    (意思即为横线连接部分需要在这里面寻找到)

    2、WIN32
    在shell中输入
    import pip
    print(pip.pep425tags.get_supported())
    同理,由于我不是32位,所以没图~

    (参考帖子网址:https://blog.csdn.net/qq_33733970/article/details/80503022,http://www.cnblogs.com/nice-forever/p/5371906.html)

    展开全文
  • 操作系统:ubuntu 16.04,python=2.7,从官网下载了pytorch=0.4.1的whl文件,用pip安装报错如下: 原因:pip安装whl文件时,对whl文件名的格式有要求。 whl文件的名称可分为5部分: 库的名称(torch) 版本...

    问题说明

    操作系统:ubuntu 16.04,python=2.7,从官网下载了pytorch=0.4.1的whl文件,用pip安装,报错如下:

    错误原因

    pip安装whl文件时,需要根据操作系统的配置来选择whl文件。

    whl文件的名称可分为5部分:

    • 库的名称(torch)
    • 版本号(0.4.1)
    • python编译器(cp27)
    • 编译标志(cp27m)
    • 操作系统(linux_x86_64)

    其中,编译标志常见的有两种:m和mu(比如cp27m和cp27mu)。两者区别在于:cp27m是ucs2,cp27mu是ucs4,UCS2认为每个字符占用2个字节,UCS4认为每个字节占用4个字符,都是UNICODE的编码形式。

    在不同平台上,pip支持的whl文件类型也不同。可以通过以下代码查看pip支持的whl文件类型:

    # python2 
    import pip._internal
    print(pip._internal.pep425tags.get_supported())
    
    # python3
    import wheel.pep425tags as w
    print(w.get_supported('./'))

    每个文件类型由一个三元组表示,三个元素分别表示:python编译器,编译标志,操作系统。

    可以看到,cp27-cp27m-linux这样的组合是不合法的,而cp27-cp27mu-linux是可以的。

    从官网上下载torch-0.4.1-cp27-cp27mu-linux_x86_64.whl,安装成功。

    展开全文
  • pip安装scrapy库报错

    2020-12-19 00:29:58
    pip安装scrapy失败之解决方法。 项目场景: 当前环境win10专业版,python3.8,64位。 在windows下,在cmd中运行pip install Scrapy报错: 问题描述: building ‘twisted.test.raiser’ extension error: ...

    pip安装scrapy失败之解决方法。

    项目场景:

    当前环境win10专业版,python3.8,64位。
    在windows下,在cmd中运行pip install Scrapy报错:


    问题描述:

    building ‘twisted.test.raiser’ extension
    error: Microsoft Visual C++ 14.0 is required. Get it with “Microsoft Visual C++ Build Tools”: http://landinghub.visualstudio.com/visual-cpp-build-tools

    在这里插入图片描述


    解决方案:

    http://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted 下载twisted对应版本的whl文件,这里根据你自己系统选择版本。
    (如我的Twisted-20.3.0-cp38-cp38-win_amd64.whl),cp后面是python版本,amd64代表64位。

    然后到你下载的这个文件路径里面执行:pip install Twisted-20.3.0-cp38-cp38-win_amd64.whl
    这里我的安装路径是D:\Python,我直接在cmd中输入:

    pip install D:\Python\Twisted-20.3.0-cp38-cp38-win_amd64.whl

    等待安装完成。
    完成安装后再重新安装scrapy库:

    pip install scrapy

    这时问题就已经解决了。
    如果发现pip安装库时速度太慢,请浏览解决pip安装第三方库速度过慢问题

    展开全文
  • pip 是一个安装和管理 Python 包的工具,wheel 本质上是一个 zip 包格式(文件后缀 whl ),用于 python 模块的安装。...此时可使用whl文件安装pip._internal.pep425tags.get_supported获取文件适配

    pip 是一个安装和管理 Python 包的工具,wheel 本质上是一个 zip 包格式(文件后缀 whl ),用于 python 模块的安装。
    一般在项目中,pip 利用 requirments.txt 来实现依赖包的安装。但有些情况下会出现错误,windows下开发时,比较常见的是VC++缺失。此时可使用whl文件安装。

    pip install xxx.whl

    whl文件有对应的python版本号、操作系统、32/64位的区分
    whl文件下载网址:https://www.lfd.uci.edu/~gohlke/pythonlibs/
    或 https://pypi.org/
    pypi
    安装命令:

    pip install d:\whl\cffi-1.14.2-cp38-cp38-win_amd64.whl

    本来一切应该很顺利,还是可能出现错误:xxx.whl is not a supported wheel on this platform
    大脑不停的追问:python版本号,对。window,对。64位,对。到底错在哪里。。。
    解决方法:确认pip适配文件的格式

    pip 适配标签(pep425tags supported)

    >>> import pip._internal
    >>> print(pip._internal.pep425tags.get_supported())
    [('cp38', 'cp38m', 'win_amd64'), ('cp38', 'none', 'win_amd64'), ('py3', 'none', 'win_amd64'), ('cp38', 'none', 'any'), 
    ('cp3', 'none', 'any'), ('py38', 'none', 'any'), ('py3', 'none', 'any'), ('py37', 'none', 'any'), 
    ('py36', 'none', 'any'), ('py35', 'none', 'any'), ('py34', 'none', 'any'), ('py33', 'none', 'any'), 
    ('py32', 'none', 'any'), ('py31', 'none', 'any'), ('py30', 'none', 'any')]
    
    

    修改本地whl文件名:cffi-1.14.2-cp38-cp38m-win_amd64.whl
    第二个cp38后面增加了m,匹配:(‘cp38’, ‘cp38m’, ‘win_amd64’)
    再次执行命令即可:pip install xxx.whl

    展开全文
  • pip安装scrapy框架报错

    2020-10-23 20:10:23
    Twisted依赖库安装报错,重新下载手动安装一下 下载网址:https://www.lfd.uci.edu/~gohlke/pythonlibs 注意:看下安装的python是什么版本,我安装的python 3.9.0,就下载cp39,64位的 下载安装的版本不对,就...
  • 环境 本地python版本为:3.7.3 自带pip 需要下载pyinstaller 可使用pip install pyinstaller ...执行pyinstaller命令时,需要加-p参数来添加第三方库的路径,通过pip安装的第三方库,都在本地python的python\Lib\si...
  • 我在Linux下使用pip安装时出现报错: Exception: Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 215, in main status = self...
  • 使用pip安装Scipy库报错解决方法

    千次阅读 2017-07-23 12:01:33
    使用pip install Scipy命令安装报错: 在http://www.lfd.uci.edu/~gohlke/pythonlibs/(此网站包含了python下几乎所有的数学库)中查找Scipy: 提示在安装scipy之前需要先安装numpy+mkl,在该地址中继续查找...
  • 解决python的pip安装时SSL报错问题

    千次阅读 2019-09-10 13:37:35
    电脑(Win7系统64-bite)里面先安装了python3.7.3(后面用原Python表示),后又装了Anaconda(里面带的python3.7.3,后面用A python表示). 系统变量里两个的路径都添加了。 问题: 在使用pip install 第三方包时...
  • Scrapy依赖的包有如下: lxml ... w3lib :一种处理URL和网页编码多功能辅助 ...pip install [文件路径]\Twisted-18.9.0-cp37-cp37m-win_amd64.whl 4.最后再运行一次Scrapy的pip安装就可以安装成功了。
  • 作者:深海鱼 ... 来源:知乎 著作权归作者所有。商业转载请联系作者获得授权,非商业转载请注明出处。 ...1. 安装wheel,命令行运行: ...2.在这里下载对应的.whl文件,注意别改文件名! http://www.lfd.u
  • 咱们这里话接上一篇文章“python3安装wordcloud库出错及其解决办法(使用命令行安装)”,看到安装成功的提示欢天喜地,准备要一展身手,结果引入wordcloud报错 赶紧用pip list查看wordcloud是否安装成功了,安装...
  • C:\Users\DALL\AppData\Local\Temp\xmlXPathInit_0nqpp85.c(1): fatal error C1083: 无法打开包括文件: “libxml/xpath.h”: No such file or directory error: command 'C:\\Program Files (x86)\\Microsoft ...
  • 然后有使用下再下来的whl安装 pip install mysqlclient-1.4.2-cp36-cp36m-win_amd64.whl 结果还是报错 最终解决方案 原因是python pip 有两个版本共存的问题 解决方案: yum install mysql-devel pip ...
  • pip安装scrapy报错

    2019-07-14 21:29:57
    解决方法:下载安装twisted对应版本的whl文件,比如:我的是Twisted-17.9.0-cp36-cp36m-win_amd64.whl,cp后面是python版本,amd64代表64位 下载网址:https://www.lfd.uci.edu/~gohlke/pythonlibs/#twisted 安装 ...
  • 最近碰到了Python安装lxml 库出现问题。记录一下解决过程,以后安装其他库出现问题时,方便查阅。 一、命令安装 ...pip install simplejson # 安装Python包 pip install --upgrade simplej...
  • cmd输入pip install mitmproxy 最后报错 Failed building wheel for brotlipy,一般遇到这种错误,我都是去这个网站去下载相应的whl文件,然后pip install 文件路径 https://www.lfd.uci.edu/~gohlke/pythonlibs/#...
  • 最近使用爬虫需要用到bs4,无论是框架scrapy,还是requests请求后解析。... 当然正则是可以代替一部分搜索。... 网上推荐 lxml的比较多,优点...我在安装的时候遇到安装卡死或者报错的问题,看了网上教程五花八门。 我...
  • 安装python环境tesserocr时,使用pip install tesserocr pillow命令行, 下面的报错原因,很多人并不是特别清楚,包括我在内: E:\Python>pip install tesserocr pillow Collecting tesserocr Using ...
  • python3 pip安装pycur报错

    2019-10-24 16:32:11
    python pip 安装pycur报错 Complete output from command python setup.py egg_info:Please specify --curl-dir=/path/to/built/libcurl pip install pycurl -i https://pypi.tuna.tsinghua.edu.cn/simple Looking...
  • pip 安装scrapy报错解决

    2020-10-19 15:06:56
    里面ctrl+f搜索twisted,选择和python版本对应的版本下载,我这里用的是python3.9版本,因此选择的是如下图的第一个文件,下载并进行安装即可!! 下载链接:https://www.lfd.uci.edu/~gohlke/pythonlibs/ 下载...
  • pip3 install numpy报错

    千次阅读 2020-07-30 16:04:46
    报错内容: Collecting numpy Using cached https://files.pythonhosted.org/packages/2c/2f/7b4d0b639a42636362827e611cfeba67975ec875ae036dd846d459d52652/numpy-1.19.1.zip Installing collected packages: ...
  • 当使用pip命令安装pillow模块时,会出现以下错误: 其中的错误显示为需要什么 Microsoft Visual C++ 14.0 ,然后告诉你一个网址去下载它,于是乎,复制这个网址,打开后出现404错误。 去问老师,老师说有几种解决...
  • 工具/原料pythonwindows7方法/步骤1我们先找个whl文件,我们在百度搜索python whl,2打开连接我随便下载一个,但是要找到符合自己python版本,下载了一个组件多线程的功能3下载完成以后打开cmd,用pip安装wheel 执行...
  • pip install xxx.whl 报错:PermissionEorror:[WinError 5] 拒绝访问。: 。。。 加一个参数 --user pip install --user xxx.whl 完美解决问题!
  • Pip 技巧 批量下载安装 WHL 文件

    千次阅读 2020-05-27 20:57:56
    最近入坑 NLP 了,开始正儿八经玩 Python ,那么 pip 的使用就必须要掌握了。 2. 修改 Pip 仓库地址为国内源 这个跟 maven 一样如果使用默认的国外仓库,很多时候速度感人 …如果想按时下班,那么更换国内源是必须的...
  • 报错提示 ERROR: rasterio-1.1.8-cp39-cp39-win_amd64.whl is not a supported wheel on this platform. 原因是 本地python版本与 whl 的版本不匹配 查看本地版本是 3.7.6,而我的安装包需要的是3.9版本的,所以...
  • pip安装tesserocr报错解决

    千次阅读 2018-12-18 20:25:15
    error: command 'C:\\Program Files (x86)\\Microsoft ...千万不要自己去手动下载C++2015的库,事实证明手动安装后依然报错,所以还是去老老实实用visualcppbuildtools+full.exe安装吧。 有帮助就给我点个赞。
  • windows ,pip install h5py 报错

    千次阅读 2017-01-13 11:29:18
    刚开始以为没装VCForPython27.msi装了之后报错:fatal error C1083: Cannot open include file: ‘hdf5.h’: No such file or di ...cl.exe’ failed with exit status 2最后选择下载whl文件,h5py.org下载
  • 安装whl文件

    2021-03-12 21:51:44
    python 安装whl文件 #用pycharm File | Settings | Project: die | Python Interpreter安装即可 #安装whl文件 运行->cmd 用pip安装wheel 执行命令pip install wheel,如果提示pip“不是内部命令”,先安装pip ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 9,417
精华内容 3,766
关键字:

pip安装whl文件报错